GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
frame_ping.c File Reference
`#include "src/core/transport/chttp2/frame_ping.h"`
`#include "src/core/transport/chttp2/internal.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`

## Functions
gpr_slice | grpc_chttp2_ping_create (gpr_uint8 ack, gpr_uint8 *opaque_8bytes)
grpc_chttp2_parse_error | grpc_chttp2_ping_parser_begin_frame (grpc_chttp2_ping_parser *parser, gpr_uint32 length, gpr_uint8 flags)
grpc_chttp2_parse_error | grpc_chttp2_ping_parser_parse (void *parser, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)

## Function Documentation

gpr_slice grpc_chttp2_ping_create | ( | gpr_uint8 | ack,
|  | gpr_uint8 * | opaque_8bytes
| ) |  |

grpc_chttp2_parse_error grpc_chttp2_ping_parser_begin_frame | ( | grpc_chttp2_ping_parser * | parser,
|  | gpr_uint32 | length,
|  | gpr_uint8 | flags
| ) |  |

grpc_chttp2_parse_error grpc_chttp2_ping_parser_parse | ( | void * | parser,
|  | grpc_chttp2_transport_parsing * | transport_parsing,
|  | grpc_chttp2_stream_parsing * | stream_parsing,
|  | gpr_slice | slice,
|  | int | is_last
| ) |  |